DOM::RGBColor class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::RGBColor Class Reference

The `RGBColor` interface is used to represent any RGB color value. More...

`#include <css_value.h>`

List of all members.

## Public Member Functions
| RGBColor (const QColor &c)
| This class or method is obsolete, it is provided for compatibility only.
| RGBColor (QRgb color)
| RGBColor (const RGBColor &other)
RGBColor & | operator= (const RGBColor &other)
CSSPrimitiveValue | red () const
| This attribute is used for the red value of the RGB color.
CSSPrimitiveValue | green () const
| This attribute is used for the green value of the RGB color.
CSSPrimitiveValue | blue () const
| This attribute is used for the blue value of the RGB color.
QRgb | color () const
## Protected Attributes
QRgb | m_color

## Detailed Description

The `RGBColor` interface is used to represent any RGB color value.

This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

Definition at line 583 of file css_value.h.

## Constructor & Destructor Documentation

DOM::RGBColor::RGBColor | ( | const QColor & | c | ) | `[inline]`

| This class or method is obsolete, it is provided for compatibility only. Definition at line 590 of file css_value.h. References QColor::rgb().

## Member Function Documentation

CSSPrimitiveValue RGBColor::red | ( |  | ) | const

| This attribute is used for the red value of the RGB color. Definition at line 502 of file css_value.cpp.

CSSPrimitiveValue RGBColor::green | ( |  | ) | const

| This attribute is used for the green value of the RGB color. Definition at line 507 of file css_value.cpp.

CSSPrimitiveValue RGBColor::blue | ( |  | ) | const

| This attribute is used for the blue value of the RGB color. Definition at line 512 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001